﻿html {
    background: linear-gradient(to bottom, #070760, #1616b9, #6ab2cc, #4343db, #070760);
    background-color: #070760;

    /* scroll-behavior: smooth; */
}

body {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: white;
    padding: 10px;
}

.iconHeader {
    text-align: center;
}

.header {
    width: fit-content;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    align-items: center;
    margin: auto;
}

.header-img img {
    height: 15vh !important;
}

.appIconImage {
    max-width: 256px;
    transition: all, 0.3s ease-in-out;
}

.appIconImage:hover {
    transform: scale(1.02, 1.02);
}

.nav-container {
    width: 100%;
    display: flex;
    justify-content: center;
}

.navbar {
    overflow: hidden;
    background-color: rgba(255, 255, 255, 0.5);
    width: fit-content;
    margin: auto;
    padding: 3px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    border-radius: 10px;
    gap: 20px;
}

/* 
.navbar li {
    display: inline-block;
}
 */

.navbar a {
    display: block;
    /* color: white; */
    color: black;
    text-align: center;
    padding: 5px 16px;
    text-decoration: none;
    /* transition: 0.2s; */
    border-radius: 10px;
    /* stroke-width: 10px; */
    /* border-width: 1px; */
    /* border-color: rgba(255, 255, 255, 0.408);;
    border-style: solid; */
}

/* Change the link color to #111 (black) on hover */

.navbar a:hover {
    /* background-color: #5C4AB5; */
    background-color: rgba(255, 255, 255, 0.2);
}

.featuresDiv {
    width: 100%;
    justify-content: center;
}

.flex-row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 80%;
    align-items: center;
    justify-content: center;
    margin: auto;
}

.flex-cell,
.flex-text-cell,
.flex-image-cell {
    padding: 10px;
}

.flex-image-cell {
    /* 	flex: 50%; */
    justify-content: center;
}

.flex-image-cell img {
    justify-content: center;
    object-fit: contain;
    /* max-width: 100% */
    flex: 1;
    max-height: 50vh;
    max-width: 100%;
}

.flex-text-cell {
    /* flex: 50%; */
    flex: 2;
    /* display: block; */
    /* 	flex-wrap: wrap; */

}

.hotkeysimg {
    vertical-align: top;
    min-width: 100px;
    /* 	white-space:pre; */
    /* 	max-height: 300px; */
    /* 	max-width:auto% */
    object-fit: scale-down;
    /*   display: block; */
    max-width: 75%;
    padding-bottom: 50px;
    /*   height: auto; */
}

a {
    color: white;
}

.bottomimg {
    max-width: 100%;
}

.sectionhead {
    background-color: #1E1E1E;
    text-align: center;
}

.betadiv {
    border-collapse: collapse;
    padding: 15px;
    border-radius: 20px;
    width: 80%;
    background-color: #FFDA00;
    color: black;
    margin-bottom: 20px;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
}

.betadiv li {
    margin-top: 5px;
    padding-top: 5px;
    padding-bottom: 1px;
}

.betadiv *:not(ul) {
    padding-left: 10px;
}

.betadiv p a {
    color: blue !important;
}

.purplediv,
.purplediv * {
    background-color: #5C4AB5;
    margin-top: 5px;
    padding-top: 5px;
    padding-bottom: 1px;
    min-width: 75%;
}

.purplediv *:not(ul) {
    padding-left: 10px;
    padding-right: 10px;
}

.purplediv p a {
    color: blue !important;
}

.cell.left {
    order: 0;
}

.cell.right {
    order: 1;
}

@media only screen and (max-width: 700px) {
    .navbar {
        /* background-color: red; */
        margin: 50px;
        flex-direction: column;
        width: fit-content;
        align-self: center;
    }

    .featuretable {
        margin-left: auto;
        margin-right: auto;
    }

    .table_row {
        flex-direction: column;
        justify-content: center;
    }

    .cell.imgblock img {
        max-width: 100%;
        text-align: center;
        margin-right: auto;
        margin-left: auto;
    }

    .cell.imgblock {
        width: 100%;
        object-fit: scale-down;
        text-align: center;
        margin-right: auto;
        margin-left: auto;
        padding-bottom: 10px;
        order: 1 !important;
    }

    .cell.textblock {
        max-width: 100%;
        order: 0 !important;
    }

    .formatsimg {
        width: 50% !important;
        margin-top: -40px;
        padding: 0px;
    }
}


/* TODO: @Media for smaller width */